namespace Tiger.Communication.Messages.Incoming;

public enum IncomingHeaders : short
{
    AcceptFriendEvent = 137,
    AcceptTradingEvent = 3863,
    AddAdminRightsToMemberEvent = 2894,
    AddFavouriteRoomEvent = 3817,
    AddItemToTradeEvent = 3107,
    AddItemsToTradeEvent = 1263,
    AddJukeboxDiskEvent = 753,
    AddSpamWallPostItEvent = 3283,
    AmbassadorAlertEvent = 2996,
    AnswerPollEvent = 3505,
    ApplySnapshotEvent = 3373,
    ApproveMembershipRequestEvent = 3386,
    ApproveNameEvent = 2109,
    AssignRightsEvent = 808,
    AvatarEffectActivatedEvent = 2959,
    AvatarEffectSelectedEvent = 1752,
    AvatarExpressionEvent = 2456,
    BanUserWithDurationEvent = 1477,
    BreedPetsEvent = 1638,
    BuildersClubPlaceWallItemEvent = 2462,
    BuildersClubQueryFurniCountEvent = 2529,
    BuyMarketplaceOfferEvent = 1603,
    CallForHelpEvent = 1691,
    CallForHelpFromForumMessageEvent = 1412,
    CallForHelpFromForumThreadEvent = 534,
    CallForHelpFromImEvent = 2950,
    CallForHelpFromPhotoEvent = 2492,
    CanCreateRoomEvent = 2128,
    CancelMarketplaceOfferEvent = 434,
    CancelPetBreedingEvent = 2713,
    CancelTypingEvent = 1474,
    ChangeMottoEvent = 2228,
    ChangePostureEvent = 2235,
    ChangeUserNameEvent = 2977,
    ChatEvent = 1314,
    ChatReviewGuideDecidesOnOfferEvent = 3365,
    ChatReviewGuideDetachedEvent = 2501,
    ChatReviewGuideVoteEvent = 3961,
    ChatReviewSessionCreateEvent = 3060,
    CheckUserNameEvent = 3950,
    ClientHelloEvent = 4000,
    CloseIssueDefaultActionEvent = 2717,
    CloseIssuesEvent = 2067,
    CloseTradingEvent = 2551,
    CommandBotEvent = 2624,
    CompleteDiffieHandshakeEvent = 773,
    CompostPlantEvent = 3835,
    ConfirmAcceptTradingEvent = 2760,
    ConfirmDeclineTradingEvent = 2341,
    ConfirmPetBreedingEvent = 3382,
    ControlYoutubeDisplayPlaybackEvent = 3005,
    CraftEvent = 3591,
    CraftSecretEvent = 1251,
    CreateFlatEvent = 2752,
    CreateGuildEvent = 230,
    CreditFurniRedeemEvent = 3115,
    CustomizeAvatarWithFurniEvent = 3374,
    CustomizePetWithFurniEvent = 1328,
    DanceEvent = 2080,
    DeactivateGuildEvent = 1134,
    DeclineFriendEvent = 2890,
    DeleteFavouriteRoomEvent = 309,
    DeleteRoomEvent = 532,
    DeselectFavouriteHabboGroupEvent = 1820,
    DiceOffEvent = 1533,
    DropCarryItemEvent = 2814,
    EditEventEvent = 3991,
    EnterOneWayDoorEvent = 2765,
    EventLogEvent = 3457,
    FindNewFriendsEvent = 516,
    FollowFriendEvent = 2970,
    ForwardToSomeRoomEvent = 1703,
    FriendFurniConfirmLockEvent = 3775,
    Game2GetAccountGameStatusEvent = 11,
    GameUnloadedEvent = 3207,
    GetAchievementsEvent = 219,
    GetBadgePointLimitsEvent = 1371,
    GetBadgesEvent = 2769,
    GetBannedUsersFromRoomEvent = 2267,
    GetBonusRareInfoEvent = 957,
    GetBotCommandConfigurationDataEvent = 1986,
    GetBotInventoryEvent = 3848,
    GetBundleDiscountRulesetEvent = 223,
    GetCatalogIndexEvent = 1195,
    GetCatalogPageEvent = 412,
    GetCfhChatlogEvent = 211,
    GetCfhStatusEvent = 2746,
    GetClubGiftInfo = 487,
    GetClubOffersEvent = 3285,
    GetCraftableProductsEvent = 633,
    GetCraftingRecipeEvent = 1173,
    GetCraftingRecipesAvailableEvent = 3086,
    GetCreditsInfoEvent = 273,
    GetCurrentTimingCodeEvent = 2912,
    GetCustomRoomFilterEvent = 1911,
    GetExtendedProfileEvent = 3265,
    GetFlatControllersEvent = 3385,
    GetForumStatsEvent = 3149,
    GetForumsListEvent = 873,
    GetFriendRequestsEvent = 2448,
    GetFurnitureAliasesEvent = 3898,
    GetGameListEvent = 741,
    GetGameStatusEvent = 3171,
    GetGiftWrappingConfigurationEvent = 418,
    GetGuestRoomEvent = 2230,
    GetGuideReportingStatusEvent = 3786,
    GetGuildCreationInfoEvent = 798,
    GetGuildEditInfoEvent = 1004,
    GetGuildEditorDataEvent = 813,
    GetGuildFurniContextMenuInfoEvent = 2651,
    GetGuildMembersEvent = 312,
    GetGuildMembershipsEvent = 367,
    GetHabboGroupBadgesEvent = 21,
    GetHabboGroupDetailsEvent = 2991,
    GetIgnoredUsersEvent = 3878,
    GetItemDataEvent = 3964,
    GetJukeboxPlayListEvent = 1435,
    GetLimitedOfferAppearingNextEvent = 410,
    GetMotdEvent = 1523,
    GetMarketplaceCanMakeOfferEvent = 848,
    GetMarketplaceConfigurationEvent = 2597,
    GetMarketplaceItemStatsEvent = 3288,
    GetMarketplaceOffersEvent = 2407,
    GetMarketplaceOwnOffersEvent = 2105,
    GetMemberGuildItemCountEvent = 3593,
    GetMessagesEvent = 232,
    GetModeratorRoomInfoEvent = 707,
    GetModeratorUserInfoEvent = 3295,
    GetNowPlayingEvent = 1325,
    GetOccupiedTilesEvent = 1687,
    GetOfficialSongIdEvent = 3189,
    GetPendingCallsForHelpEvent = 3267,
    GetPetCommandsEvent = 2161,
    GetPetInfoEvent = 2934,
    GetPetInventoryEvent = 3095,
    GetPopularRoomTagsEvent = 826,
    GetProductOfferEvent = 2594,
    GetPromoArticlesEvent = 1827,
    GetRecyclerPrizesEvent = 398,
    GetRecyclerStatusEvent = 1342,
    GetRelationshipStatusInfoEvent = 2138,
    GetResolutionAchievementsEvent = 359,
    GetRoomAdPurchaseInfoEvent = 1075,
    GetRoomChatlogEvent = 2587,
    GetRoomEntryDataEvent = 2300,
    GetRoomEntryTileEvent = 3559,
    GetRoomSettingsEvent = 3129,
    GetRoomVisitsEvent = 3526,
    GetSelectedBadgesMessageEvent = 2091,
    GetSellablePetPalettesEvent = 1756,
    GetSongInfoEvent = 3082,
    GetSoundSettingsEvent = 2388,
    GetTalentTrackEvent = 196,
    GetTalentTrackLevelEvent = 2127,
    GetThreadsEvent = 436,
    GetUnreadForumsCountEvent = 2908,
    GetUserChatlogEvent = 1391,
    GetUserEventCatsEvent = 1782,
    GetUserFlatCatsEvent = 3027,
    GetUserTagsEvent = 17,
    GetWardrobeEvent = 2742,
    GetWeeklyGameRewardEvent = 2914,
    GetWeeklyGameRewardWinnersEvent = 1054,
    GetYoutubeDisplayStatusEvent = 336,
    GuideSessionCreateEvent = 3338,
    GuideSessionFeedbackEvent = 477,
    GuideSessionGetRequesterRoomEvent = 1052,
    GuideSessionGuideDecidesEvent = 1424,
    GuideSessionInviteRequesterEvent = 234,
    GuideSessionIsTypingEvent = 519,
    GuideSessionMessageEvent = 3899,
    GuideSessionOnDutyUpdateEvent = 1922,
    GuideSessionReportEvent = 3969,
    GuideSessionRequesterCancelsEvent = 291,
    GuideSessionResolvedEvent = 887,
    HabboSearchEvent = 1210,
    // HotelViewClaimBadgeRewardEvent = -1,
    HotelViewRequestBadgeRewardEvent = 2318,
    HotelViewRequestSecondsUntilEvent = 271,
    IgnoreUserEvent = 1117,
    InfoRetrieveEvent = 357,
    InitDiffieHandshakeEvent = 3110,
    JoinHabboGroupEvent = 998,
    JoinQueueEvent = 1458,
    JukeBoxEventOne = 2304,
    KickMemberEvent = 593,
    LatencyPingRequestEvent = 295,
    LetUserInEvent = 1644,
    LookToEvent = 3301,
    MakeOfferEvent = 3447,
    MessengerInitEvent = 2781,
    ModAlertEvent = 229,
    ModBanEvent = 2766,
    ModKickEvent = 2582,
    ModMessageEvent = 1840,
    ModMuteEvent = 1945,
    // ModToolRequestRoomUserChatlogEvent = -1,
    ModToolSanctionEvent = 1392,
    // ModToolWarnEvent = -1,
    ModTradingLockEvent = 3742,
    ModerateMessageEvent = 286,
    ModerateRoomEvent = 3260,
    ModerateThreadEvent = 1397,
    ModeratorActionEvent = 3842,
    MountPetEvent = 1036,
    MoveAvatarEvent = 3320,
    MoveObjectEvent = 248,
    MovePetEvent = 3449,
    MoveWallItemEvent = 168,
    MuteAllInRoomEvent = 3637,
    MyFavouriteRoomsSearchEvent = 2578,
    MyFriendsRoomsSearchEvent = 2266,
    MyGuildBasesSearchEvent = 39,
    MyRoomHistorySearchEvent = 2264,
    MyRoomRightsSearchEvent = 272,
    MyRoomsSearchEvent = 2277,
    NavigatorAddCollapsedCategoryEvent = 1834,
    NavigatorAddSavedSearchEvent = 2226,
    NavigatorDeleteSavedSearchEvent = 1954,
    NavigatorRemoveCollapsedCategoryEvent = 637,
    NavigatorSetSearchCodeViewModeEvent = 1202,
    NewNavigatorInitEvent = 2110,
    NewNavigatorSearchEvent = 249,
    NewUserExperienceGetGiftsEvent = 1822,
    NewUserExperienceScriptProceedEvent = 1299,
    OpenCampaignCalendarDoorEvent = 8809,
    OpenCampaignCalendarDoorAsStaffEvent = 2507,
    OpenFlatConnectionEvent = 2312,
    OpenPetPackageEvent = 3698,
    OpenTradingEvent = 1481,
    PassCarryItemEvent = 2941,
    PickIssuesEvent = 15,
    PickupObjectEvent = 3456,
    PlaceBotEvent = 1592,
    PlaceObjectEvent = 1258,
    PlacePetEvent = 2647,
    PlacePostItEvent = 2248,
    PollRejectEvent = 1773,
    PollStartEvent = 109,
    PongEvent = 2596,
    PopularRoomsSearchEvent = 2758,
    PostMessageEvent = 3529,
    PresentOpenEvent = 3558,
    PublishPhotoEvent = 2068,
    PurchaseFromCatalogAsGiftEvent = 1411,
    PurchaseFromCatalogEvent = 3492,
    PurchasePhotoEvent = 2408,
    PurchaseRoomAdEvent = 777,
    PurchaseTargetedOfferEvent = 1826,
    PurchaseVipMembershipExtensionEvent = 3407,
    QuitEvent = 105,
    RateFlatEvent = 3582,
    RecycleItemsEvent = 2771,
    RedeemMarketplaceOfferCreditsEvent = 2650,
    RedeemVoucherEvent = 339,
    RejectMembershipRequestEvent = 1894,
    ReleaseIssuesEvent = 1572,
    RemoveAdminRightsFromMemberEvent = 722,
    RemoveAllRightsEvent = 2683,
    RemoveBotFromFlatEvent = 3323,
    RemoveFriendEvent = 1689,
    RemoveItemEvent = 3336,
    RemoveItemFromTradeEvent = 3845,
    RemoveJukeboxDiskEvent = 3050,
    RemoveOwnRoomRightsRoomEvent = 3182,
    RemovePetFromFlatEvent = 1581,
    RemoveRightsEvent = 2064,
    RemoveSaddleFromPetEvent = 186,
    RenderRoomEvent = 3226,
    RenderRoomThumbnailEvent = 1982,
    RentableSpaceCancelRentEvent = 1667,
    RentableSpaceRentEvent = 2946,
    // RequestAchievementConfigurationEvent = -1,
    RequestCameraConfigurationEvent = 796,
    RequestFriendEvent = 3157,
    RequestFurniInventoryEvent = 3150,
    RequestFurniInventoryWhenNotInRoomEvent = 3500,
    RequestRoomPropertySet = 711,
    RespectPetEvent = 3202,
    RespectUserEvent = 2694,
    RoomDimmerChangeStateEvent = 2296,
    RoomDimmerGetPresetsEvent = 2813,
    RoomDimmerSavePresetEvent = 1648,
    RoomTextSearchEvent = 3943,
    RoomUserKickEvent = 1320,
    RoomUserMuteEvent = 3485,
    RoomsWhereMyFriendsAreSearchEvent = 1786,
    RoomsWithHighestScoreSearchEvent = 2939,
    SSoTicketEvent = 2419,
    SaveRoomSettingsEvent = 1969,
    SaveWardrobeOutfitEvent = 800,
    ScrGetKickbackInfoEvent = 869,
    ScrGetUserInfoEvent = 3166,
    // SearchRoomsByTagEvent = -1,
    SelectClubGiftEvent = 2276,
    SelectFavouriteHabboGroupEvent = 3549,
    SendMsgEvent = 3567,
    SendRoomInviteEvent = 1276,
    SetActivatedBadgesEvent = 644,
    SetChatPreferencesEvent = 1262,
    SetChatStylePreferenceEvent = 1030,
    SetClothingChangeDataEvent = 924,
    SetCustomStackingHeightEvent = 3839,
    SetIgnoreRoomInvitesEvent = 1086,
    SetItemDataEvent = 3666,
    SetMannequinFigureEvent = 2209,
    SetMannequinNameEvent = 2850,
    SetNewNavigatorWindowPreferencesEvent = 3159,
    SetObjectDataEvent = 3608,
    SetRandomStateEvent = 3617,
    SetRelationshipStatusEvent = 3768,
    SetRoomBackgroundColorDataEvent = 2880,
    SetRoomCameraPreferencesEvent = 1461,
    SetSoundSettingsEvent = 1367,
    SetTargetedOfferStateEvent = 2041,
    SetYoutubeDisplayPlaylistEvent = 2069,
    ShoutEvent = 2085,
    SignEvent = 1975,
    SpinWheelOfFortuneEvent = 2144,
    StartTypingEvent = 1597,
    SubmitRoomToCompetitionEvent = 2595,
    ThrowDiceEvent = 1990,
    TogglePetBreedingPermissionEvent = 3379,
    TogglePetRidingPermissionEvent = 1472,
    ToggleStaffPickEvent = 1918,
    UnacceptTradingEvent = 1444,
    UnbanUserFromRoomEvent = 992,
    UnignoreUserEvent = 2061,
    UniqueIdEvent = 2490,
    UpdateActionEvent = 2281,
    UpdateConditionEvent = 3203,
    UpdateFigureDataEvent = 2730,
    UpdateFloorPropertiesEvent = 875,
    UpdateForumSettingsEvent = 2214,
    UpdateGuildBadgeEvent = 1991,
    UpdateGuildColorsEvent = 1764,
    UpdateGuildIdentityEvent = 3137,
    UpdateGuildSettingsEvent = 3435,
    UpdateHomeRoomEvent = 1740,
    UpdateRoomFilterEvent = 3001,
    UpdateThreadEvent = 3045,
    UpdateTriggerEvent = 1520,
    UpdateUiFlagsEvent = 2313,
    UseFurnitureEvent = 99,
    UseWallItemEvent = 210,
    VisitUserEvent = 3997,
    WhisperEvent = 1543,
    AcceptGameInviteEvent = 3802,
    AcceptQuestEvent = 3604,
    ApproveAllMembershipRequestsEvent = 882,
    BuildersClubPlaceRoomItemEvent = 1051,
    BuyMarketplaceTokensEvent = 1866,
    CallForHelpFromSelfieEvent = 2755,
    CancelEventEvent = 2725,
    CancelQuestEvent = 3133,
    ChangeEmailEvent = 3965,
    ChangeQueueEvent = 3093,
    CommunityGoalVoteEvent = 3536,
    CompetitionRoomsSearchEvent = 433,
    DeletePendingCallsForHelpEvent = 3605,
    DisconnectEvent = 2445,
    ExtendRentOrBuyoutFurniEvent = 1071,
    ExtendRentOrBuyoutStripItemEvent = 2115,
    ForwardToACompetitionRoomEvent = 172,
    ForwardToARandomPromotedRoomEvent = 10,
    ForwardToRandomCompetitionRoomEvent = 865,
    FriendListUpdateEvent = 1419,
    FriendRequestQuestCompleteEvent = 1148,
    Game2CheckGameDirectoryStatusEvent = 3259,
    Game2ExitGameEvent = 1445,
    Game2GameChatEvent = 2502,
    Game2GetWeeklyFriendsLeaderboardEvent = 1232,
    Game2GetWeeklyLeaderboardEvent = 2565,
    Game2LoadStageReadyEvent = 2415,
    Game2PlayAgainEvent = 3196,
    Game2RequestFullStatusUpdateEvent = 1598,
    GetCatalogPageExpirationEvent = 742,
    GetCatalogPageWithEarliestExpiryEvent = 3135,
    GetCategoriesWithUserCountEvent = 3782,
    GetCommunityGoalEarnedPrizesEvent = 2688,
    GetCommunityGoalHallOfFameEvent = 2167,
    GetCommunityGoalProgressEvent = 1145,
    GetConcurrentUsersGoalProgressEvent = 1343,
    GetConcurrentUsersRewardEvent = 3872,
    GetDailyQuestEvent = 2486,
    GetDirectClubBuyAvailableEvent = 801,
    GetEmailStatusEvent = 2557,
    GetExtendedProfileByNameEvent = 2249,
    GetFaqCategoryEvent = 3445,
    GetFaqTextEvent = 1849,
    GetGameAchievementsEvent = 2399,
    GetHabboBasicMembershipExtendOfferEvent = 603,
    GetInterstitialEvent = 2519,
    GetIsBadgeRequestFulfilledEvent = 1364,
    GetIsOfferGiftableEvent = 1347,
    GetIsUserPartOfCompetitionEvent = 2077,
    GetNextTargetedOfferEvent = 2487,
    GetOfficialRoomsEvent = 1229,
    GetQuestsEvent = 3333,
    GetQuizQuestionsEvent = 1296,
    GetSeasonalCalendarDailyOfferEvent = 3257,
    GetSeasonalQuestsOnlyEvent = 1190,
    GetSoundMachinePlayListEvent = 3498,
    GetTargetedOfferEvent = 596,
    GetThreadEvent = 3900,
    GetUserGameAchievementsEvent = 389,
    GiveSupplementToPetEvent = 749,
    GoToFlatEvent = 685,
    GuideAdvertisementReadEvent = 2455,
    GuildBaseSearchEvent = 2930,
    HarvestPetEvent = 1521,
    IgnoreUserIdEvent = 3314,
    InterstitialShownEvent = 1109,
    LagWarningReportEvent = 3847,
    LatencyPingReportEvent = 96,
    LeaveQueueEvent = 2384,
    ModToolPreferencesEvent = 31,
    MyFrequentRoomHistorySearchEvent = 1002,
    MyRecommendedRoomsEvent = 2537,
    MysteryBoxWaitingCanceledEvent = 2012,
    OpenMysteryTrophyEvent = 3074,
    OpenQuestTrackerEvent = 2750,
    OpenWelcomeGiftEvent = 2638,
    PassCarryItemToPetEvent = 2768,
    PeerUsersClassificationEvent = 1160,
    PerformanceLogEvent = 3230,
    PetSelectedEvent = 549,
    PhotoCompetitionEvent = 3959,
    PostQuizAnswersEvent = 3720,
    PurchaseBasicMembershipExtensionEvent = 2735,
    RedeemCommunityGoalPrizeEvent = 90,
    RejectQuestEvent = 2397,
    RentableSpaceStatusEvent = 872,
    RequestABadgeEvent = 3077,
    ResetPhoneNumberStateEvent = 2741,
    ResetResolutionAchievementEvent = 3144,
    ResetUnseenItemIdsEvent = 3493,
    ResetUnseenItemsEvent = 2343,
    RoomAdEventTabAdClickedEvent = 2412,
    RoomAdEventTabViewedEvent = 2668,
    RoomAdPurchaseInitiatedEvent = 2283,
    RoomAdSearchEvent = 2809,
    RoomCompetitionInitEvent = 1334,
    RoomNetworkOpenConnectionEvent = 3736,
    RoomUsersClassificationEvent = 2285,
    SearchFaqsEvent = 2031,
    SetPhoneNumberVerificationStatusEvent = 1379,
    SetRoomSessionTagsEvent = 3305,
    ShopTargetedOfferViewedEvent = 3483,
    StartCampaignEvent = 1697,
    TryPhoneNumberEvent = 790,
    UnblockGroupMemberEvent = 2864,
    UpdateForumReadMarkerEvent = 1855,
    UpdateRoomCategoryAndTradeSettingsEvent = 1265,
    UpdateRoomThumbnailEvent = 2468,
    VerifyCodeEvent = 2721,
    VersionCheckEvent = 1053,
    VoteForRoomEvent = 143,
    WelcomeGiftChangeEmailEvent = 66,
    UnknownSnowStormEvent6000 = 6000,
    UnknownSnowStormEvent6001 = 6001,
    UnknownSnowStormEvent6002 = 6002,
    UnknownSnowStormEvent6003 = 6003,
    UnknownSnowStormEvent6004 = 6004,
    UnknownSnowStormEvent6005 = 6005,
    UnknownSnowStormEvent6006 = 6006,
    UnknownSnowStormEvent6007 = 6007,
    UnknownSnowStormEvent6008 = 6008,
    UnknownSnowStormEvent6009 = 6009,
    UnknownSnowStormEvent6010 = 6010,
    UnknownSnowStormEvent6011 = 6011,
    SnowStormJoinQueueEvent = 6012,
    UnknownSnowStormEvent6013 = 6013,
    UnknownSnowStormEvent6014 = 6014,
    UnknownSnowStormEvent6015 = 6015,
    UnknownSnowStormEvent6016 = 6016,
    UnknownSnowStormEvent6017 = 6017,
    UnknownSnowStormEvent6018 = 6018,
    UnknownSnowStormEvent6019 = 6019,
    UnknownSnowStormEvent6020 = 6020,
    UnknownSnowStormEvent6021 = 6021,
    UnknownSnowStormEvent6022 = 6022,
    UnknownSnowStormEvent6023 = 6023,
    UnknownSnowStormEvent6024 = 6024,
    UnknownSnowStormEvent6025 = 6025,
    SnowStormUserPickSnowballEvent = 6026,
}