using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Outgoing.Inventory.Badges;
using Tiger.Communication.Messages.Types;
using Tiger.Networking.Game.Sessions;

namespace Tiger.Communication.Messages.Incoming.Inventory.Badges;

public class GetBadgesEvent : IMessageEvent
{
    private readonly IGameSessionManager _gameSessionManager;

    public GetBadgesEvent(IGameSessionManager gameSessionManager)
    {
        _gameSessionManager = gameSessionManager;
    }
    
    public IncomingHeaders Header => IncomingHeaders.GetBadgesEvent;
    public async Task HandleAsync(GameSession gameSession, ClientMessage request)
    {
        if (gameSession.Habbo == null)
        {
            await _gameSessionManager.CloseAsync("Not logged in", gameSession);
            return;
        }

        await gameSession.SendComposerAsync(new BadgesComposer(gameSession.Habbo.Badges));
    }
}