using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Generic.Alerts;

public class HabboBroadcastMessageComposer : IMessageComposer
{
    private readonly string _welcomeMessage;

    public HabboBroadcastMessageComposer(string welcomeMessage)
    {
        _welcomeMessage = welcomeMessage;
    }

    public OutgoingHeaders Header => OutgoingHeaders.HabboBroadcastMessageComposer;
    public void Compose(ServerMessage message)
    {
        message.AppendString(_welcomeMessage);
    }
}