using FluentNHibernate.Mapping;

namespace Tiger.Game.Habbos;

public class HabboMap : ClassMap<Habbo>
{
    public HabboMap()
    {
        Table("habbos");
        LazyLoad();
        Id(h => h.Id).Column("id").GeneratedBy.Identity();
        Map(h => h.Username).Column("username").Not.Nullable();
        Map(h => h.Email).Column("email").Not.Nullable();
        Map(h => h.AccountCreated).Column("account_created").Not.Nullable();
        Map(h => h.LastLogin).Column("last_login").Nullable();
        Map(h => h.Motto).Column("motto").Not.Nullable();
        Map(h => h.Figure).Column("figure").Not.Nullable();
        Map(h => h.Gender).Column("gender").Not.Nullable();
        Map(h => h.Rank).Column("rank").Not.Nullable();
        Map(h => h.Credits).Column("credits").Not.Nullable();
        Map(h => h.Online).Column("online").Not.Nullable();
        Map(h => h.HomeRoom).Column("home_room").Not.Nullable();
        Map(h => h.AchievementScore).Column("achievement_score").Not.Nullable();
        Map(h => h.GroupId).Column("group_id").Nullable();
        Map(h => h.SsoTicket).Column("sso_ticket").Nullable();
        HasMany<Activitypoints>(h => h.Activitypoints).LazyLoad().Inverse().Cascade.All();
        HasMany<Badge>(h => h.Badges).LazyLoad().Inverse().Cascade.All();
    }
}